Ticket #41893

Ruledit: Use QSpinBox for numeric requirement value

Eröffnet am: 2021-03-31 22:31 Letztes Update: 2021-04-12 19:08

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
3

Details

In requirement editing dialog, for requirement types that take numerical value, entry field is presented. The problem is that it's textual one (QLineEdit), and user can type in any characters, not just numbers. Make it QSpinBox instead.

Ticket-Verlauf (3/10 Historien)

2021-03-31 22:31 Aktualisiert von: cazfi
  • New Ticket "Ruledit: Use QSpinBox for numeric requirement value" created
2021-04-01 11:44 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
2021-04-01 12:14 Aktualisiert von: cazfi
  • Lösung Update from Accepted to Keine
Kommentar

- There's no such signal as ValueEntered for QSpinBox, and aftet changing that to working ValueChanged usability is very bad; we do a refresh after each digit is entered, unfocusing the field, i.e., one cannot type many digits at once

2021-04-10 18:09 Aktualisiert von: cazfi
  • File 0005-Ruledit-Use-QSpinBox-for-numeric-requirement-value.patch (File ID: 6488) is attached
2021-04-10 18:09 Aktualisiert von: cazfi
  • File 0005-Ruledit-Use-QSpinBox-for-numeric-requirement-value.patch (File ID: 6488) is deleted
2021-04-10 18:10 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

- Refactor code avoid loss of focus while editing the value

2021-04-12 19:08 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden